# std::chrono::operator<< (std::chrono::month_weekday_last)

From cppreference.com
< cpp‎ | chrono‎ | month weekday last

template <class CharT, class Traits> std::basic_ostream<CharT, Traits>& operator<<(std::basic_ostream<CharT, Traits>& os, const std::chrono::month_weekday_last& mwdl); |  | (since C++20)

Outputs a textual representation of `mwdl` into `os`, as if by os << mwdl.month() << '/' << mwdl.weekday_last();

### Return value

`os`.

### Notes

This `operator<<` is primarily intended for debugging use. When used with non-default stream flags, the output may be surprising:

    using namespace std::chrono;
    auto mwdl = February/Sunday[last];
    std::cout.width(10);
    std::cout.fill('-');
    std::cout << std::left << mwdl; // may output "Feb-------/Sun[last]"

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_weekday_last/operator_ltlt&oldid=104714"